1. Video Generation
PixVerse Platform Docs
  • C1 released!
  • V6 released!
  • Learn about PixVerse Platform
    • Introduce to PixVerse Platform
    • Quick Start
    • PixVerse-api-llm.txt
  • Getting started
    • How does the API work?
    • How to get API key?
    • How to check account balance?
    • How to subscribe API plans?
    • How to use Text-to-video
    • How to use Image-to-video
    • How to use Effects?
    • How to use Image template?
    • How to use Transition(First-last frame Feature)
    • How to use Speech(Lip sync)?
    • Lip sync TTS speaker list
    • How to use Extend?
    • How to use Sound effects?
    • How to use Fusion(Reference to video)?
    • How to use Restyle?
    • How to use Multi-transition?
    • How to use Swap?
    • How to use Mimic?
    • How to use Modify?
    • How to get video generation status?
    • How to use Webhook
  • API Reference
    • API Parameter Description
    • Video Generation
      • Text-to-Video generation
        POST
      • Image-to-Video generation
        POST
      • Template video generation
        POST
      • Transition(First-last frame) generation
        POST
      • Speech(Lipsync) generation
        POST
      • Get Speech(Lipsync) tts list
        GET
      • Fusion(reference to video) generation
        POST
      • Multi-transition video generation
        POST
      • Restyle video generation
        POST
      • Restyle effect list
        GET
      • Swap mask generation
        POST
      • Swap video generation
        POST
      • Sound effect generation
        POST
      • Extend generation
        POST
      • Get Video Generation Status
        GET
      • Mimic generation
        POST
      • Modify generation
        POST
    • Image generation
      • Image template generation
      • Get Image generation
    • Upload Image
      POST
    • Upload Video&audio
      POST
    • Get user credit balance
      GET
  • Trouble Shooting
    • Common errors and Solutions
    • Error codes
    • FAQ
  • Resources
    • Model & Pricing
    • Rate limit
    • Support
    • Change Logs
    • Term of Service
    • Privacy policy
  • PixVerse Tools
    • PixVerse MCP
  1. Video Generation

Get Speech(Lipsync) tts list

GET
/openapi/v2/video/lip_sync/tts_list

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
curl --location --request GET 'https://app-api.pixverse.ai/openapi/v2/video/lip_sync/tts_list?page_num=1&page_size=2' \
--header 'Ai-Trace-Id: {{$string.uuid}}' \
--header 'API-KEY: your-api-key' \
--header 'Content-Type: application/json' \
--data-raw ''
Response Response Example
{
    "ErrCode": 0,
    "ErrMsg": "Success",
    "Resp": {
        "total": 15,
        "data": [
            {
                "speaker_id": "7",
                "name": "Harper"
            },
            {
                "speaker_id": "8",
                "name": "Ava"
            },
            {
                "speaker_id": "3",
                "name": "Isabella"
            },
            {
                "speaker_id": "9",
                "name": "Sophia"
            },
            {
                "speaker_id": "1",
                "name": "Emily"
            },
            {
                "speaker_id": "5",
                "name": "Chloe"
            },
            {
                "speaker_id": "10",
                "name": "Julia"
            },
            {
                "speaker_id": "11",
                "name": "Mason"
            },
            {
                "speaker_id": "12",
                "name": "Jack"
            },
            {
                "speaker_id": "4",
                "name": "Liam"
            },
            {
                "speaker_id": "2",
                "name": "James"
            },
            {
                "speaker_id": "13",
                "name": "Oliver"
            },
            {
                "speaker_id": "6",
                "name": "Adrian"
            },
            {
                "speaker_id": "14",
                "name": "Ethan"
            },
            {
                "speaker_id": "Auto",
                "name": "Auto"
            }
        ]
    }
}
Previous
Speech(Lipsync) generation
Next
Fusion(reference to video) generation